<script setup lang="ts">
import { onMounted } from 'vue'
import { useHomeStore } from '../store/home'

const homeStore = useHomeStore()

onMounted(() => {
  homeStore.methods.fetchTopSales()
})

const headers = ['No', 'Name', 'Amount', 'Total Value']
</script>

<template>
  <v-card block rounded="xl">
    <v-container>
      <v-table class="bg-transparent">
        <caption>
          <v-row class="ma-0">
            <v-col class="text-left" cols="auto">
              <h2>5 อันดับสินค้าขายดี</h2>
            </v-col>
            <v-spacer />
            <v-col class="text-right">
              <a
                href="https://www.youtube.com/watch?v=dQw4w9WgXcQ"
                class="text-grey"
                target="_blank"
                >See All</a
              >
            </v-col>
          </v-row>
        </caption>
        <thead>
          <tr>
            <th class="text-left" v-for="h in headers" :key="h">
              {{ h }}
            </th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(item, index) in homeStore.data.topSales" :key="item.product.id">
            <td class="text-left">{{ index + 1 }}</td>
            <td class="text-left">{{ item.product.name }}</td>
            <td class="text-left">{{ item.amount }}</td>
            <td class="text-left">{{ item.totalValue }}</td>
          </tr>
        </tbody>
      </v-table>
    </v-container>
  </v-card>
</template>
